import { FdoCatalogLinkItemRule } from "@feedmepos/menu/entity";
export default function useCatalogManager(): {
    linkableItems: import("vue").ComputedRef<import("../../../../helper/menu").CategorizedItem[]>;
    currentItems: import("vue").ComputedRef<{
        _id: string;
    }[]>;
    applyProduct: (newProductIds: string[]) => Promise<void>;
    addProduct: (newProductIds: string[]) => Promise<void>;
    removeProduct: (newProductIds: string[]) => Promise<void>;
    saveLinkItemRules: (linkItemRules: FdoCatalogLinkItemRule[] | null | undefined) => Promise<void>;
};
